
def get_U(r,sigma,epsilon,n):
  if (r <= (2 ** (1.0/6.0) * sigma)):
    return 4 * epsilon * ((sigma/r)**(12) - (sigma/r)**(6)) + epsilon - epsilon * n
  else:
    return (4 * epsilon * ((sigma/r)**(12) - (sigma/r)**(6))) * n

def get_F(r,sigma,epsilon,n):
  if (r <= (2 ** (1.0/6.0) * sigma)):
    return 24 * epsilon / r * (2 * (sigma/r)**(12) - (sigma/r)**(6))
  else:
    return n * 24 * epsilon / r * (2 * (sigma/r)**(12) - (sigma/r)**(6))

rmin = 0
rmax = 2.5000001
rstep = 0.0005
sigma = 0.2
epsilon = 2.49434
n = 1

fp = open("table_PEP_PEP.xvg","w")
r = rstep

line = "%8.6f %8.6f %8.6f %12.10f %12.10f %8.6f %8.6f\n" % (0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0)
fp.write(line)

while (r <= rmax):
  u = get_U(r,sigma,epsilon,n)
  f = get_F(r,sigma,epsilon,n)
  line = "%8.6f %8.6f %8.6f %12.10f %12.10f %8.6f %8.6f\n" % (r, 0.0, 0.0, u, f, 0.0, 0.0)
  fp.write(line)
  r += rstep
fp.close()  

